# DataExchange
TKXSBase
StepSelect

# StepSelect_ModelModifier Class Reference

`#include <StepSelect_ModelModifier.hxx>`

Inheritance diagram for StepSelect_ModelModifier:

[legend]

## Public Member Functions

Standard_EXPORT void | Perform (IFSelect_ContextModif &ctx, const Handle(Interface_InterfaceModel)&target, const Handle(Interface_Protocol)&protocol, Interface_CopyTool &TC) const

This deferred method defines the action specific to each class
of Modifier. It is called by a ModelCopier, once the Model
generated and filled. ModelCopier has already checked the
criteria (Dispatch, Model Rank, Selection) before calling it.
<ctx> detains informations about original data and selection.
The result of copying, on which modifications are to be done,
is <target>.
<tc> allows to run additional copies as required
In case of Error, use methods CCheck from the ContextModif
to aknowledge an entity Check or a Global Check with messages
.

virtual Standard_EXPORT void | PerformProtocol (IFSelect_ContextModif &ctx, const Handle(StepData_StepModel)&target, const Handle(StepData_Protocol)&proto, Interface_CopyTool &TC) const
virtual Standard_EXPORT void | Performing (IFSelect_ContextModif &ctx, const Handle(StepData_StepModel)&target, Interface_CopyTool &TC) const =0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | StepSelect_ModelModifier (const Standard_Boolean maychangegraph)

## Constructor & Destructor Documentation

Standard_EXPORT StepSelect_ModelModifier::StepSelect_ModelModifier | ( | const Standard_Boolean | maychangegraph | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const StepSelect_ModelModifier::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Modifier.

Standard_EXPORT void StepSelect_ModelModifier::Perform | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(Interface_InterfaceModel)& | target,
|  | const Handle(Interface_Protocol)& | protocol,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IFSelect_Modifier.

virtual Standard_EXPORT void StepSelect_ModelModifier::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(StepData_StepModel)& | target,
|  | Interface_CopyTool & | TC
| ) | const`[pure virtual]`

virtual Standard_EXPORT void StepSelect_ModelModifier::PerformProtocol | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(StepData_StepModel)& | target,
|  | const Handle(StepData_Protocol)& | proto,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

The documentation for this class was generated from the following file:

- StepSelect_ModelModifier.hxx